Package com.verisign.epp.codec.domain

## Class EPPDomainCheckResult

- java.lang.Object
- - com.verisign.epp.codec.domain.EPPDomainCheckResult

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPDomainCheckResult
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPDomainCheckResult` represents the result of an individual domain name check. The attributes of `EPPDomainCheckResult` include the domain name and a boolean value indicating if the domain name is available. `domain reason` must be set before invoking `encode` if the available flag is set to `false`.
  See Also:
    `EPPDomainCheckResp`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPDomainCheckResult()` | Default constructor for `EPPDomainCheckResult`.
    `EPPDomainCheckResult​(java.lang.String aName, boolean aIsAvailable)` | Constructor for `EPPDomainCheckResult` that includes the domain name and the available flag.
    `EPPDomainCheckResult​(java.lang.String aName, boolean aIsAvailable, java.lang.String aReason)` | Constructor for `EPPDomainCheckResult` that includes the domain name, availability flag, and the availability reason.
    `EPPDomainCheckResult​(java.lang.String aName, boolean aIsAvailable, java.lang.String aReason, java.lang.String aLanguage)` | Constructor for `EPPDomainCheckResult` that includes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPDomainCheckResult`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPDomainCheckResult` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPDomainCheckResult` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPDomainPingResp` with this instance.
    `java.lang.String` | `getDomainReason()` | Gets domain reason.
    `java.lang.String` | `getLanguage()` | Gets reason language.
    `java.lang.String` | `getName()` | Gets the domain name associated with the result.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `boolean` | `isAvailable()` | Gets if the domain associated with `EPPDomainCheckResult` is availability (can it be provisioned or not) at the moment the <check> command was completed.
    `boolean` | `isKnown()` | Deprecated. As of EPP 1.0, replaced with `isAvailable()`.
    `void` | `setDomainReason​(java.lang.String aReason)` | Sets domain reason.
    `void` | `setIsAvailable​(boolean aIsAvailable)` | Sets if the domain associated with `EPPDomainCheckResult` is availability (can it be provisioned or not) at the moment the <check> command was completed.
    `void` | `setIsKnown​(boolean aIsKnown)` | Deprecated. As of EPP 1.0, replaced with `setIsAvailable(boolean)` .
    `void` | `setLanguage​(java.lang.String aLang)` | Sets language attribute.
    `void` | `setName​(java.lang.String aName)` | Sets the domain name associated with the result.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDomainCheckResult

          public EPPDomainCheckResult()

      Default constructor for `EPPDomainCheckResult`. the defaults include the following:
      - name is set to `null`
      - available is set to `true`
      The name must be set before invoking `encode`.

    - #### EPPDomainCheckResult

          public EPPDomainCheckResult​(java.lang.String aName,
                                      boolean aIsAvailable)

      Constructor for `EPPDomainCheckResult` that includes the domain name and the available flag.
      Parameters:
        `aName` - Domain name associated with result
        `aIsAvailable` - Is the domain available?

    - #### EPPDomainCheckResult

          public EPPDomainCheckResult​(java.lang.String aName,
                                      boolean aIsAvailable,
                                      java.lang.String aReason)

      Constructor for `EPPDomainCheckResult` that includes the domain name, availability flag, and the availability reason.
      Parameters:
        `aName` - Domain name associated with result
        `aIsAvailable` - Is the domain available?
        `aReason` - Reason that domain is not available

    - #### EPPDomainCheckResult

          public EPPDomainCheckResult​(java.lang.String aName,
                                      boolean aIsAvailable,
                                      java.lang.String aReason,
                                      java.lang.String aLanguage)

      Constructor for `EPPDomainCheckResult` that includes all attributes.
      Parameters:
        `aName` - Domain name associated with result
        `aIsAvailable` - Is the domain available?
        `aReason` - Reason that domain is not available
        `aLanguage` - Language of the `aReason` value.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the domain name associated with the result.
      Returns:
        Domain name associated with the result if defined; `null` otherwise.

    - #### setName

          public void setName​(java.lang.String aName)

      Sets the domain name associated with the result.
      Parameters:
        `aName` - Domain Name associated with the result.

    - #### isKnown

          public boolean isKnown()

      Deprecated.
      As of EPP 1.0, replaced with `isAvailable()`.
      Gets if the domain associated with `EPPDomainCheckResult` is known.
      Returns:
        Is the domain known?

    - #### setIsKnown

          public void setIsKnown​(boolean aIsKnown)

      Deprecated.
      As of EPP 1.0, replaced with `setIsAvailable(boolean)` .
      Sets if the domain associated with `EPPDomainCheckResult` is known.
      Parameters:
        `aIsKnown` - Is the domain known?

    - #### isAvailable

          public boolean isAvailable()

      Gets if the domain associated with `EPPDomainCheckResult` is availability (can it be provisioned or not) at the moment the <check> command was completed.
      Returns:
        Is the domain available? If `false`, call `getDomainReason()` for inavailability reason.

    - #### setIsAvailable

          public void setIsAvailable​(boolean aIsAvailable)

      Sets if the domain associated with `EPPDomainCheckResult` is availability (can it be provisioned or not) at the moment the <check> command was completed.
      Parameters:
        `aIsAvailable` - Is the domain available?

    - #### setDomainReason

          public void setDomainReason​(java.lang.String aReason)

      Sets domain reason. This should be set if the available flag is set to `false`.
      Parameters:
        `aReason` - Domain Reason.

    - #### getDomainReason

          public java.lang.String getDomainReason()

      Gets domain reason. This should be set if the available flag is set to `false`.
      Returns:
        String of domain reason.

    - #### setLanguage

          public void setLanguage​(java.lang.String aLang)

      Sets language attribute.
      Parameters:
        `aLang` - Sets domain reason language attribute.

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets reason language.
      Returns:
        reason language.

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDomainCheckResult` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPDomainCheckResult` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDomainCheckResult` instance.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPDomainCheckResult` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDomainCheckResult` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPDomainPingResp` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDomainCheckResult`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPDomainCheckResult`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.